# @summary A short summary of the purpose of this class
#
# A description of what this class does
#
# @example
#   include myapp::php
class myapp::php (String $version = 'latest') {
  include apache::mod::php

  file { '/var/www/myapp/index.php':
    ensure  => file,
    content => epp("${module_name}/index.php.epp", {'name' => 'MyApp', 'version' => $version}),
    mode    =>  '0644'
  }

  file { '/var/www/myapp/info.php':
    ensure  => file,
    source => "puppet:///modules/${module_name}/info.php",
    mode    =>  '0644'
  }
}
